<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:gzl="http://java.sun.com/jsf/composite/gazelle-tags"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form>
            <gzl:div id="globalDiv">
                <h1>#{fhirURLValidatorDescriptionDisplay.validatorDescription.name}</h1>
                <gri:panel pid="displayP">
                    <f:facet name="header">Validation description</f:facet>
                    <dl class="dl-horizontal">
                        <ui:include src="/validators/displayCommon.xhtml">
                            <ui:param name="managedBean" value="#{fhirURLValidatorDescriptionDisplay}"/>
                        </ui:include>
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">Resource name</ui:define>
                            <h:outputText value="#{fhirURLValidatorDescriptionDisplay.validatorDescription.resourceName}"/>
                        </ui:decorate>
                        <ui:decorate template="/layout/display/_data_list_item.xhtml"
                            rendered="#{not empty fhirURLValidatorDescriptionDisplay.validatorDescription.operation}">
                            <ui:define name="label">Operation</ui:define>
                            <h:outputText value="#{fhirURLValidatorDescriptionDisplay.validatorDescription.operation}"/>
                        </ui:decorate>

                    </dl>
                    <rich:dataTable value="#{fhirURLValidatorDescriptionDisplay.validatorDescription.requestParameters}" var="parameter"
                                    id="paramTable" rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                    render="paramTableDs">
                        <g:column>
                            <ui:define name="header">Name (prefix)</ui:define>
                            <h:outputText value="#{parameter.name}"/>
                            <h:outputText value=" (#{parameter.prefix})" rendered="#{not empty parameter.prefix}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">Type</ui:define>
                            <h:outputText value="#{parameter.type.name}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">Optionality</ui:define>
                            <h:outputText value="Required" rendered="#{parameter.required}"/>
                            <h:outputText value="Optional" rendered="#{not parameter.required}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">Regex</ui:define>
                            <h:outputText value="#{parameter.regex}" rendered="#{not empty parameter.regex}"/>
                            <h:outputText value="#{parameter.type.defaultRegex}" rendered="#{empty parameter.regex}"/>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="paramTableDs"/>
                                <ui:param name="dataTableId" value="paramTable"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                    <f:facet name="footer">
                        <h:outputLink value="#{fhirURLValidatorDescriptionDisplay.backTolist()}">
                            <h:commandButton type="button" value="Back to list"
                                             styleClass="gzl-btn"/>
                        </h:outputLink>
                        <h:outputLink value="#{fhirURLValidatorDescriptionDisplay.editValidator()}"
                                      rendered="#{ssoIdentity.isLoggedIn() and ssoIdentity.hasRole('admin_role')}">
                            <h:commandButton type="button" value="Edit"
                                             styleClass="gzl-btn-blue"/>
                        </h:outputLink>
                    </f:facet>
                </gri:panel>
            </gzl:div>
        </h:form>
    </ui:define>
</ui:composition>
